import 'dart:async';

import 'package:agschat/src/constants.dart';
import 'package:agschat/src/view/chats_list_view.dart';
import 'package:get/get.dart';
import 'package:rxdart/subjects.dart';
import 'package:socket_io_client/socket_io_client.dart' as IO;
import 'package:socket_io_client/socket_io_client.dart';

class StreamSocket {
  StreamController<dynamic> socketResponse = BehaviorSubject();

  void Function(dynamic) get addResponse => socketResponse.sink.add;

  Stream<dynamic> get getResponse => socketResponse.stream;

  void dispose() {
    socketResponse.close();
  }
}

IO.Socket socket = IO.io('http://192.168.1.94:5000',
    OptionBuilder().setTransports(['websocket']).disableAutoConnect().build());
StreamSocket chatListSoket = StreamSocket();
StreamSocket messageSocket = StreamSocket();
StreamSocket profileViewSocket = StreamSocket();

void connectSocket() {
  socket.connect();
  socket.onConnect((_) {
    print('socket connect');
  });

  socket.on('group-list', (data) => chatListSoket.addResponse(data));
  socket.on('group-list', (data) => print(data));

  socket.onDisconnect((_) => print('disconnect'));
}

var params = {
  "secretKey":
      "U2FsdGVkX18AsTXTniJJwZ9KaiRWQki0Gike3TN%2BQyXws0hyLIdcRN4abTk84a7r",
  "_id": myUserId
};

void getChatsList() {
  socket.emit('get-groups', params);
  socket.on('group-list', (data) => chatListSoket.addResponse(data));
  socket.on('group-list', (data) => print(data));
  socket.onDisconnect((_) => print('disconnect'));
}

void joinGroup(grpId) {
  socket.emit('join', grpId);
}

void getPreviousMessages({grpId, id}) {
  var params = {"groupId": grpId, "_id": id};
  socket.emit('get-chat', params);
  socket.on('get-previous-chat', (data) => messageSocket.addResponse(data));
  socket.onDisconnect((_) => print('disconnect'));
}

void sendMessage(param) async {
  // var params = param;
  //var data = await messageSocket.getResponse;
  print(param);

  socket.emit('send-message', param);

  // socket.on('get-previous-chat', (data) => messageSocket.addResponse(data));
  // socket.on('get-previous-chat', (data) => print(data));
  // socket.onDisconnect((_) => print('disconnect'));
}

void getUserProfile() {
  var params = {"userId": myUserId};
  socket.emit('get-profile', params);
  socket.on('profile-res', (data) => profileViewSocket.addResponse(data));
}

void updateProfile({name, profilePic}) {
  var params = {"userId": myUserId, "name": name, "profilePicture": profilePic};
  print(params);
  socket.emit("update-profile", params);

  socket.on("update-profile-res", (data) {
    print(data);
  });
}

void exitGroup({groupId, userId}) {
  var params = {
    "groupId": groupId,
    "userId": userId,
  };
  print(params);
  socket.emit("exit-group", params);

  socket.on("exit-group-res", (data) {
    if (data['isSuccess']) {
      Get.off(() => const ChatsListView());
    }
  });
}
