


import 'dart:convert';

class LoginModel {
  LoginModel({
    this.status,
    this.result,
    this.message,
  });

  int? status;
  Result? result;
  String? message;

  factory LoginModel.fromRawJson(String str) => LoginModel.fromJson(json.decode(str));

  String toRawJson() => json.encode(toJson());

  factory LoginModel.fromJson(Map<String, dynamic> json) => LoginModel(
    status: json["status"] == null ? null : json["status"],
    result: json["result"] == null ? null : Result.fromJson(json["result"]),
    message: json["message"] == null ? null : json["message"],
  );

  Map<String, dynamic> toJson() => {
    "status": status == null ? null : status,
    "result": result == null ? null : result!.toJson(),
    "message": message == null ? null : message,
  };
}

class Result {
  Result({
    this.userInfo,
    this.accessToken,
    this.hrUserDetails,
  });

  UserInfo? userInfo;
  String? accessToken;
  HrUserDetails? hrUserDetails;

  factory Result.fromRawJson(String str) => Result.fromJson(json.decode(str));

  String toRawJson() => json.encode(toJson());

  factory Result.fromJson(Map<String, dynamic> json) => Result(
    userInfo: json["userInfo"] == null ? null : UserInfo.fromJson(json["userInfo"]),
    accessToken: json["accessToken"] == null ? null : json["accessToken"],
    hrUserDetails: json["hrUserDetails"] == null ? null : HrUserDetails.fromJson(json["hrUserDetails"]),
  );

  Map<String, dynamic> toJson() => {
    "userInfo": userInfo == null ? null : userInfo!.toJson(),
    "accessToken": accessToken == null ? null : accessToken,
    "hrUserDetails": hrUserDetails == null ? null : hrUserDetails!.toJson(),
  };
}

class HrUserDetails {
  HrUserDetails({
    this.id,
    this.firebaseId,
  });

  int? id;
  String? firebaseId;

  factory HrUserDetails.fromRawJson(String str) => HrUserDetails.fromJson(json.decode(str));

  String toRawJson() => json.encode(toJson());

  factory HrUserDetails.fromJson(Map<String, dynamic> json) => HrUserDetails(
    id: json["id"] == null ? null : json["id"],
    firebaseId: json["firebaseId"] == null ? null : json["firebaseId"],
  );

  Map<String, dynamic> toJson() => {
    "id": id == null ? null : id,
    "firebaseId": firebaseId == null ? null : firebaseId,
  };
}

class UserInfo {
  UserInfo({
    this.id,
    this.employeeCode,
    this.zone,
    this.isSalesUser,
    this.fullName,
    this.isHodUser,
    this.email,
    this.dob,
    this.mobileNo,
    this.alternativeMobileNo,
    this.gender,
    this.firebaseId,
    this.parentEmployeeId,
    this.parentFullName,
    this.isActive,
    this.department,
    this.designation,
    this.leaveTypeId,
    this.remainClLeaves,
    this.remainPlLeaves,
    this.showPassword,
    this.bloodGroup,
    this.remainSlLeaves,
    this.isEmployeeUser,
    this.isShowQrCodeOption,
    this.isManualAttendanceUse,
    this.isProbationPeriod,
    this.roleId,
    this.probationPeriodEndDate,
    this.designationId,
    this.departmentId,
    this.joinDate,
    this.profilePicName,
    this.isParentUser,
    this.companyType,
    this.profilePic,
    this.permanentAddress,
    this.hrPolicyPageUrl,
  });

  int? id;
  String? employeeCode;
  String? zone;
  String? isSalesUser;
  String? fullName;
  String? isHodUser;
  String? email;
  String? dob;
  String? mobileNo;
  String? alternativeMobileNo;
  String?gender;
  String? firebaseId;
  int? parentEmployeeId;
  String? parentFullName;
  int? isActive;
  String? department;
  String? designation;
  int? leaveTypeId;
  String? remainClLeaves;
  String? remainPlLeaves;
  String? showPassword;
  String? bloodGroup;
  String? remainSlLeaves;
  int? isEmployeeUser;
  int? isShowQrCodeOption;
  int? isManualAttendanceUse;
  int? isProbationPeriod;
  int? roleId;
  String? probationPeriodEndDate;
  int? designationId;
  int? departmentId;
  String? joinDate;
  String? profilePicName;
  int? isParentUser;
  String? companyType;
  String? profilePic;
  String? permanentAddress;
  String? hrPolicyPageUrl;

  factory UserInfo.fromRawJson(String str) => UserInfo.fromJson(json.decode(str));

  String toRawJson() => json.encode(toJson());

  factory UserInfo.fromJson(Map<String, dynamic> json) => UserInfo(
    id: json["id"] == null ? null : json["id"],
    employeeCode: json["employeeCode"] == null ? null : json["employeeCode"],
    zone: json["zone"] == null ? null : json["zone"],
    isSalesUser: json["isSalesUser"] == null ? null : json["isSalesUser"],
    fullName: json["fullName"] == null ? null : json["fullName"],
    isHodUser: json["isHODUser"] == null ? null : json["isHODUser"],
    email: json["email"] == null ? null : json["email"],
    dob: json["dob"] == null ? null : json["dob"],
    mobileNo: json["mobileNo"] == null ? null : json["mobileNo"],
    alternativeMobileNo: json["alternativeMobileNo"] == null ? null : json["alternativeMobileNo"],
    gender: json["gender"] == null ? null : json["gender"],
    firebaseId: json["firebaseId"] == null ? null : json["firebaseId"],
    parentEmployeeId: json["parentEmployeeId"] == null ? null : json["parentEmployeeId"],
    parentFullName: json["parentFullName"] == null ? null : json["parentFullName"],
    isActive: json["isActive"] == null ? null : json["isActive"],
    department: json["department"] == null ? null : json["department"],
    designation: json["designation"] == null ? null : json["designation"],
    leaveTypeId: json["leaveTypeId"] == null ? null : json["leaveTypeId"],
    remainClLeaves: json["remainClLeaves"] == null ? null : json["remainClLeaves"],
    remainPlLeaves: json["remainPlLeaves"] == null ? null : json["remainPlLeaves"],
    showPassword: json["showPassword"] == null ? null : json["showPassword"],
    bloodGroup: json["bloodGroup"] == null ? null : json["bloodGroup"],
    remainSlLeaves: json["remainSlLeaves"] == null ? null : json["remainSlLeaves"],
    isEmployeeUser: json["isEmployeeUser"] == null ? null : json["isEmployeeUser"],
    isShowQrCodeOption: json["isShowQRCodeOption"] == null ? null : json["isShowQRCodeOption"],
    isManualAttendanceUse: json["isManualAttendanceUse"] == null ? null : json["isManualAttendanceUse"],
    isProbationPeriod: json["isProbationPeriod"] == null ? null : json["isProbationPeriod"],
    roleId: json["roleId"] == null ? null : json["roleId"],
    probationPeriodEndDate: json["probationPeriodEndDate"] == null ? null : json["probationPeriodEndDate"],
    designationId: json["designationId"] == null ? null : json["designationId"],
    departmentId: json["departmentId"] == null ? null : json["departmentId"],
    joinDate: json["joinDate"] == null ? null : json["joinDate"],
    profilePicName: json["profilePicName"] == null ? null : json["profilePicName"],
    isParentUser: json["isParentUser"] == null ? null : json["isParentUser"],
    companyType: json["companyType"] == null ? null : json["companyType"],
    profilePic: json["profilePic"] == null ? null : json["profilePic"],
    permanentAddress: json["permanentAddress"] == null ? null : json["permanentAddress"],
    hrPolicyPageUrl: json["HrPolicyPageURL"] == null ? null : json["HrPolicyPageURL"],
  );

  Map<String, dynamic> toJson() => {
    "id": id == null ? null : id,
    "employeeCode": employeeCode == null ? null : employeeCode,
    "zone": zone == null ? null : zone,
    "isSalesUser": isSalesUser == null ? null : isSalesUser,
    "fullName": fullName == null ? null : fullName,
    "isHODUser": isHodUser == null ? null : isHodUser,
    "email": email == null ? null : email,
    "dob": dob == null ? null : dob,
    "mobileNo": mobileNo == null ? null : mobileNo,
    "alternativeMobileNo": alternativeMobileNo == null ? null : alternativeMobileNo,
    "gender": gender == null ? null : gender,
    "firebaseId": firebaseId == null ? null : firebaseId,
    "parentEmployeeId": parentEmployeeId == null ? null : parentEmployeeId,
    "parentFullName": parentFullName == null ? null : parentFullName,
    "isActive": isActive == null ? null : isActive,
    "department": department == null ? null : department,
    "designation": designation == null ? null : designation,
    "leaveTypeId": leaveTypeId == null ? null : leaveTypeId,
    "remainClLeaves": remainClLeaves == null ? null : remainClLeaves,
    "remainPlLeaves": remainPlLeaves == null ? null : remainPlLeaves,
    "showPassword": showPassword == null ? null : showPassword,
    "bloodGroup": bloodGroup == null ? null : bloodGroup,
    "remainSlLeaves": remainSlLeaves == null ? null : remainSlLeaves,
    "isEmployeeUser": isEmployeeUser == null ? null : isEmployeeUser,
    "isShowQRCodeOption": isShowQrCodeOption == null ? null : isShowQrCodeOption,
    "isManualAttendanceUse": isManualAttendanceUse == null ? null : isManualAttendanceUse,
    "isProbationPeriod": isProbationPeriod == null ? null : isProbationPeriod,
    "roleId": roleId == null ? null : roleId,
    "probationPeriodEndDate": probationPeriodEndDate == null ? null : probationPeriodEndDate,
    "designationId": designationId == null ? null : designationId,
    "departmentId": departmentId == null ? null : departmentId,
    "joinDate": joinDate == null ? null : joinDate,
    "profilePicName": profilePicName == null ? null : profilePicName,
    "isParentUser": isParentUser == null ? null : isParentUser,
    "companyType": companyType == null ? null : companyType,
    "profilePic": profilePic == null ? null : profilePic,
    "permanentAddress": permanentAddress == null ? null : permanentAddress,
    "HrPolicyPageURL": hrPolicyPageUrl == null ? null : hrPolicyPageUrl,
  };
}
