// To parse this JSON data, do
//
//     final messagesModel = messagesModelFromJson(jsonString);

import 'dart:convert';

List<MessagesModel> messagesModelFromJson(String str) =>
    List<MessagesModel>.from(
        json.decode(str).map((x) => MessagesModel.fromJson(x)));

String messagesModelToJson(List<MessagesModel> data) =>
    json.encode(List<dynamic>.from(data.map((x) => x.toJson())));

class MessagesModel {
  MessagesModel({
    this.message,
    this.readBy,
    this.type,
    this.msgId,
    this.secretKey,
    this.sentBy,
    this.viewBy,
    this.timeMilliSeconds,
    this.sentAt,
    this.isRead,
    this.image,
    this.base64Thumbnail,
    this.video,
    this.thumbnail,
    this.document,
    this.audio,
  });

  String? message;
  String? readBy;
  String? type;
  String? msgId;
  String? secretKey;
  String? sentBy;
  List<String>? viewBy;
  SentAt? timeMilliSeconds;
  SentAt? sentAt;
  bool? isRead;
  String? image;
  String? base64Thumbnail;
  String? video;
  String? thumbnail;
  String? document;
  String? audio;

  factory MessagesModel.fromJson(Map<String, dynamic> json) => MessagesModel(
        message: json["message"] == null ? null : json["message"],
        readBy: json["readBy"] == null ? null : json["readBy"],
        type: json["type"] == null ? null : json["type"],
        msgId: json["msgId"] == null ? null : json["msgId"],
        secretKey: json["secretKey"] == null ? null : json["secretKey"],
        sentBy: json["sentBy"] == null ? null : json["sentBy"],
        viewBy: json["viewBy"] == null
            ? null
            : List<String>.from(json["viewBy"].map((x) => x)),
        timeMilliSeconds: json["timeMilliSeconds"] == null
            ? null
            : SentAt.fromJson(json["timeMilliSeconds"]),
        sentAt: json["sentAt"] == null ? null : SentAt.fromJson(json["sentAt"]),
        isRead: json["isRead"] == null ? null : json["isRead"],
        image: json["image"] == null ? null : json["image"],
        base64Thumbnail:
            json["base64Thumbnail"] == null ? null : json["base64Thumbnail"],
        video: json["video"] == null ? null : json["video"],
        thumbnail: json["thumbnail"] == null ? null : json["thumbnail"],
        document: json["document"] == null ? null : json["document"],
        audio: json["audio"] == null ? null : json["audio"],
      );

  Map<String, dynamic> toJson() => {
        "message": message == null ? null : message,
        "readBy": readBy == null ? null : readBy,
        "type": type == null ? null : type,
        "msgId": msgId == null ? null : msgId,
        "secretKey": secretKey == null ? null : secretKey,
        "sentBy": sentBy == null ? null : sentBy,
        "viewBy":
            viewBy == null ? null : List<dynamic>.from(viewBy!.map((x) => x)),
        "timeMilliSeconds":
            timeMilliSeconds == null ? null : timeMilliSeconds!.toJson(),
        "sentAt": sentAt == null ? null : sentAt!.toJson(),
        "isRead": isRead == null ? null : isRead,
        "image": image == null ? null : image,
        "base64Thumbnail": base64Thumbnail == null ? null : base64Thumbnail,
        "video": video == null ? null : video,
        "thumbnail": thumbnail == null ? null : thumbnail,
        "document": document == null ? null : document,
        "audio": audio == null ? null : audio,
      };
}

class SentAt {
  SentAt({
    this.seconds,
    this.nanoseconds,
  });

  int? seconds;
  int? nanoseconds;

  factory SentAt.fromJson(Map<String, dynamic> json) => SentAt(
        seconds: json["seconds"] == null ? null : json["seconds"],
        nanoseconds: json["nanoseconds"] == null ? null : json["nanoseconds"],
      );

  Map<String, dynamic> toJson() => {
        "seconds": seconds == null ? null : seconds,
        "nanoseconds": nanoseconds == null ? null : nanoseconds,
      };
}
