import 'package:agschat/src/helper/colors.dart';
import 'package:agschat/src/helper/custom_styles.dart';
import 'package:agschat/src/view/create_group_view.dart';
import 'package:agschat/src/view/widgets/comman.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';

class ContactListView extends StatefulWidget {
  ContactListView({Key? key, this.forMakeGroup = false}) : super(key: key);
  bool forMakeGroup = false;

  @override
  _ContactListViewState createState() => _ContactListViewState();
}

class _ContactListViewState extends State<ContactListView> {
  @override
  Widget build(BuildContext context) {
    TextEditingController searchController = TextEditingController();
    return Scaffold(
      appBar: AppBar(
        backgroundColor: themeColor,
        elevation: 0.8,
        title: Text(
          "Create Group",
          style:
              CustomTextStyles.medium(fontSize: 16.0, fontColor: Colors.black),
        ),
        iconTheme: const IconThemeData(color: Colors.black),
      ),
      bottomNavigationBar: widget.forMakeGroup
          ? SafeArea(
              child: GestureDetector(
                onTap: () {
                  Get.to(() => CreateGroup());
                },
                child: Container(
                  height: 50,
                  margin: const EdgeInsets.only(top: 16, left: 20, right: 20),
                  decoration: BoxDecoration(
                    borderRadius: BorderRadius.circular(8.0),
                    color: Colors.blue,
                  ),
                  child: Center(
                    child: Text(
                      "Next",
                      style: CustomTextStyles.semiBold(
                          fontSize: 18.0, fontColor: Colors.white),
                    ),
                  ),
                ),
              ),
            )
          : const SizedBox(),
      body: Column(
        children: [
          Padding(
            padding:
                const EdgeInsets.only(left: 20, right: 20, top: 8, bottom: 8),
            child: TextField(
              controller: searchController,
              onChanged: (val) {},
              decoration: InputDecoration(
                hintText: "Search chat",
                hintStyle: CustomTextStyles.medium(
                    fontSize: 14.0, fontColor: Colors.black38),
                filled: true,
                fillColor: const Color(0xffEEEEEF),
                border: searchCommonBorderStyle,
                enabledBorder: searchCommonBorderStyle,
                disabledBorder: searchCommonBorderStyle,
                focusedBorder: searchCommonBorderStyle,
                focusedErrorBorder: searchCommonBorderStyle,
                errorBorder: searchCommonBorderStyle,
                contentPadding: const EdgeInsets.only(left: 6, right: 6),
                prefixIcon: const Padding(
                    padding: EdgeInsetsDirectional.only(start: 6.0),
                    child: Icon(Icons.search)),
              ),
            ),
          ),
          widget.forMakeGroup
              ? Expanded(
                  child: ListView.separated(
                      padding:
                          const EdgeInsets.only(left: 20, right: 20, top: 8),
                      itemBuilder: (context, index) {
                        return Row(
                          children: [
                            const Icon(Icons.check_box),
                            const SizedBox(
                              width: 8.0,
                            ),
                            Common.profileNetworkImage(
                                borderRadius: 48.0,
                                height: 48.0,
                                width: 48.0,
                                imageUrl: ""),
                            const SizedBox(
                              width: 8.0,
                            ),
                            Text(
                              "User $index",
                              style: CustomTextStyles.medium(
                                  fontSize: 18.0, fontColor: Colors.black),
                            )
                          ],
                        );
                      },
                      separatorBuilder: (_, index) {
                        return const SizedBox(
                          height: 8,
                        );
                      },
                      itemCount: 10))
              : Expanded(
                  child: ListView.separated(
                    padding: const EdgeInsets.only(left: 20, right: 20, top: 8),
                    itemBuilder: (context, index) {
                      return Row(
                        children: [
                          const SizedBox(
                            width: 8.0,
                          ),
                          Common.profileNetworkImage(
                              borderRadius: 48.0,
                              height: 48.0,
                              width: 48.0,
                              imageUrl: ""),
                          const SizedBox(
                            width: 8.0,
                          ),
                          Text(
                            "User $index",
                            style: CustomTextStyles.medium(
                                fontSize: 18.0, fontColor: Colors.black),
                          )
                        ],
                      );
                    },
                    separatorBuilder: (_, index) {
                      return Container(
                        height: 0.8,
                        color: Colors.grey,
                        margin: const EdgeInsets.only(top: 8, bottom: 8),
                      );
                    },
                    itemCount: 10,
                  ),
                ),
        ],
      ),
    );
  }

  // Common border for textField
  var searchCommonBorderStyle = const OutlineInputBorder(
    borderSide: BorderSide(
      color: Color(0xffE6E6E6),
    ),
  );
}
