import 'package:agschat/src/helper/custom_styles.dart';
import 'package:agschat/src/view/widgets/comman.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';

class ContactInfoView extends StatefulWidget {
  const ContactInfoView({Key? key}) : super(key: key);

  @override
  State<ContactInfoView> createState() => _ContactInfoViewState();
}

class _ContactInfoViewState extends State<ContactInfoView> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      body: SafeArea(
        child: Container(
          color: const Color(0xffE5E5EA),
          child: Column(
            children: [
              appBar(),
              Container(
                width: Get.width,
                color: Colors.white,
                child: Column(
                  children: [
                    const SizedBox(
                      height: 24,
                    ),
                    Common.profileNetworkImage(
                      borderRadius: 200.0,
                      height: 200.0,
                      width: 200.0,
                      imageUrl: "",
                    ),
                    const SizedBox(
                      height: 16,
                    ),
                    Text(
                      "User Name",
                      style: CustomTextStyles.medium(
                          fontSize: 26.0, fontColor: Colors.black),
                    ),
                    Text(
                      "username@yopmail.com",
                      style: CustomTextStyles.normal(
                          fontSize: 20.0, fontColor: Colors.black),
                    ),
                    const SizedBox(
                      height: 16,
                    ),
                  ],
                ),
              ),
              const SizedBox(
                height: 10,
              ),
              Container(
                color: Colors.white,
                padding: const EdgeInsets.all(20),
                width: Get.width,
                child: Row(
                  children: [
                    const Icon(
                      Icons.delete,
                      color: Colors.red,
                    ),
                    const SizedBox(
                      width: 8,
                    ),
                    Text(
                      "Delete Chat",
                      style: CustomTextStyles.medium(
                          fontSize: 16.0, fontColor: Colors.red),
                    )
                  ],
                ),
              )
            ],
          ),
        ),
      ),
    );
  }

  Widget appBar() {
    return Row(
      children: [
        IconButton(
            onPressed: () {
              Get.back();
            },
            icon: const Icon(
              Icons.clear,
              size: 30.0,
            )),
        const SizedBox(
          width: 8,
        ),
        Text(
          "Contact Info",
          style:
              CustomTextStyles.medium(fontSize: 18.0, fontColor: Colors.black),
        ),
      ],
    );
  }
}
