import 'package:agschat/src/helper/KeyboardAvoider.dart';
import 'package:agschat/src/helper/custom_styles.dart';
import 'package:agschat/src/helper/images.dart';
import 'package:flutter/material.dart';

import '../helper/colors.dart';

class CreateGroup extends StatefulWidget {
  const CreateGroup({Key? key}) : super(key: key);

  @override
  _CreateGroupState createState() => _CreateGroupState();
}

class _CreateGroupState extends State<CreateGroup> {
  TextEditingController groupNameController = TextEditingController();

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        backgroundColor: Colors.white,
        appBar: AppBar(
          backgroundColor: themeColor,
          elevation: 0.8,
          title: Text(
            "Create Group",
            style: CustomTextStyles.medium(
                fontSize: 16.0, fontColor: Colors.black),
          ),
          iconTheme: const IconThemeData(color: Colors.black),
        ),
        body: Column(
          children: [
            Stack(
              alignment: Alignment.center,
              children: [
                Container(
                  height: 200,
                  width: 200,
                  decoration: BoxDecoration(
                    shape: BoxShape.circle,
                    image: DecorationImage(
                      image: ExactAssetImage(ImageResource.groupPlaceHolder),
                      fit: BoxFit.cover,
                    ),
                  ),
                ),
                const Icon(Icons.camera_alt_outlined, color: Colors.white),
              ],
            ),
            const SizedBox(height: 10),
            Expanded(
              child: KeyboardAvoider(
                autoScroll: true,
                child: Column(
                  children: [
                    Padding(
                      padding: const EdgeInsets.only(
                          left: 20, right: 20, top: 8, bottom: 8),
                      child: TextField(
                        controller: groupNameController,
                        onChanged: (val) {},
                        decoration: InputDecoration(
                          hintText: "Enter group name",
                          hintStyle: CustomTextStyles.medium(
                              fontSize: 14.0, fontColor: Color(0xffBFBFC4)),
                          filled: true,
                          fillColor: const Color(0xffEEEEEF),
                          border: commonBorderStyle,
                          enabledBorder: commonBorderStyle,
                          disabledBorder: commonBorderStyle,
                          focusedBorder: commonBorderStyle,
                          focusedErrorBorder: commonBorderStyle,
                          errorBorder: commonBorderStyle,
                          contentPadding:
                              const EdgeInsets.only(left: 6, right: 6),
                        ),
                      ),
                    ),
                  ],
                ),
              ),
            )
          ],
        ),
        bottomNavigationBar: SafeArea(
          child: GestureDetector(
            onTap: () {},
            child: Container(
              height: 50,
              margin: const EdgeInsets.only(
                  top: 16, left: 20, right: 20, bottom: 10),
              decoration: BoxDecoration(
                borderRadius: BorderRadius.circular(8.0),
                color: const Color(0xff0D659D),
              ),
              child: Center(
                child: Text(
                  "Create Group",
                  style: CustomTextStyles.medium(
                      fontSize: 18.0, fontColor: Colors.white),
                ),
              ),
            ),
          ),
        ));
  }

  // Common border for textField
  var commonBorderStyle = const OutlineInputBorder(
    borderSide: BorderSide(color: Color(0xffE6E6E6), width: 1.0),
  );
}
