import 'dart:io';
import 'dart:ui';

import 'package:cached_network_image/cached_network_image.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';

class ImagePreview extends StatefulWidget {
  const ImagePreview({
    Key? key,
    this.image,
  }) : super(key: key);
  final String? image;

  @override
  _ImagePreviewState createState() => _ImagePreviewState();
}

class _ImagePreviewState extends State<ImagePreview> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.transparent,
      body: Container(
        padding: const EdgeInsets.symmetric(horizontal: 16),
        child: InkWell(
          highlightColor: Colors.transparent,
          splashColor: Colors.transparent,
          onTap: () {
            Get.back();
          },
          child: BackdropFilter(
            filter: ImageFilter.blur(sigmaX: 3, sigmaY: 3),
            child: Align(
              alignment: Alignment.center,
              child: Column(
                mainAxisSize: MainAxisSize.min,
                children: [
                  Row(
                    mainAxisAlignment: MainAxisAlignment.end,
                    children: [
                      IconButton(
                        onPressed: () {
                          Get.back();
                        },
                        icon: Icon(Icons.clear),
                      )
                    ],
                  ),
                  Center(
                    child: widget.image!.isURL
                        ? CachedNetworkImage(
                            imageUrl: widget.image ?? "",
                            height: Get.height / 2,
                            fit: BoxFit.contain,
                            alignment: Alignment.center,
                          )
                        : Image.file(
                            File(widget.image!),
                            height: Get.height / 2,
                            fit: BoxFit.contain,
                            alignment: Alignment.center,
                          ),
                  )
                ],
              ),
            ),
          ),
        ),
      ),
    );
  }
}
